Skip to main content
GET
/
v1
/
agents
/
{agentId}
/
conversations
/
{conversationId}
Get a conversation by ID
curl --request GET \
  --url https://api.us.poly.ai/v1/agents/{agentId}/conversations/{conversationId} \
  --header 'X-API-KEY: <api-key>'
{
  "conversationId": "<string>",
  "accountId": "<string>",
  "projectId": "<string>",
  "createdAt": "<string>",
  "startedAt": "<string>",
  "finishedAt": "<string>",
  "channel": "<string>",
  "fromNumber": "<string>",
  "toNumber": "<string>",
  "language": "<string>",
  "variantId": "<string>",
  "clientEnv": "<string>",
  "totalDuration": 123,
  "polyaiDuration": 123,
  "duration": 123,
  "inProgress": true,
  "handoff": true,
  "handoffDestination": "<string>",
  "handoffReason": "<string>",
  "direction": "<string>",
  "tags": [
    "<string>"
  ],
  "polyScore": 123,
  "shortSummary": "<string>",
  "deploymentId": "<string>",
  "note": "<string>",
  "audioUrl": "<string>",
  "turns": [
    {}
  ],
  "metrics": {},
  "functionEvents": {}
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required
conversationId
string
required

Response

Successful response

Public-facing conversation detail (includes turns, metrics).

conversationId
string
required
accountId
string
required
projectId
string
required
createdAt
string
startedAt
string
finishedAt
string
channel
string
fromNumber
string
toNumber
string
language
string
variantId
string
clientEnv
string
totalDuration
integer
polyaiDuration
integer
duration
integer
inProgress
boolean
handoff
boolean
handoffDestination
string
handoffReason
string
direction
string
tags
string[]
polyScore
number
shortSummary
string
deploymentId
string
note
string
audioUrl
string
turns
object[]
metrics
object
functionEvents
object
Last modified on June 4, 2026